Bug 1076808 - netpanzer bundles physfs
netpanzer bundles physfs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netpanzer (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 06:07 EDT by Ville Skyttä
Modified: 2014-03-24 13:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 13:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use system physfs (7.36 KB, patch)
2014-03-18 03:44 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2014-03-15 06:07:03 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

netpanzer uses a bundled copy of physfs.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/netpanzer/0.8.4/5.fc20/x86_64/netpanzer-debuginfo-0.8.4-5.fc20.x86_64.rpm | grep physfs/
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/archivers
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/archivers/dir.c
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/archivers/zip.c
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs.c
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs.h
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs_byteorder.c
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs_casefolding.h
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs_internal.h
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs_unicode.c
[...]
Comment 1 Gwyn Ciesla 2014-03-17 12:09:55 EDT
If I remove the bundled copy and symlink, it builds against and uses the system version but I still get:

$ rpm -qpl x86_64/netpanzer-debuginfo-0.8.4-6.fc21.x86_64.rpm | grep physfs
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs
/usr/src/debug/netpanzer-0.8.4/src/Lib/physfs/physfs.h


Is that acceptable?  It also still runs, which is a bonus. :)
Comment 2 Ville Skyttä 2014-03-18 03:44:27 EDT
Created attachment 875826 [details]
Patch to use system physfs

I suppose it could be, but here's a "git am"-able patch that is more thorough about it. Build tested only.
Comment 3 Gwyn Ciesla 2014-03-18 07:47:26 EDT
This doesn't build for me.. . 

Patch #8 (netpanzer-0.8.4-system-physfs.patch):
+ /usr/bin/patch -p1 --fuzz=0
+ /usr/bin/cat /home/limb/fedora/git/netpanzer/netpanzer-0.8.4-system-physfs.patch
patching file SConstruct
patching file src/Lib/Util/FileSystem.cpp
patching file src/Lib/Util/FileSystem.hpp
patching file SConstruct
Reversed (or previously applied) patch detected!  Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
5 out of 5 hunks ignored -- saving rejects to file SConstruct.rej
patching file src/Lib/Util/FileSystem.cpp
Reversed (or previously applied) patch detected!  Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file src/Lib/Util/FileSystem.cpp.rej
patching file src/Lib/Util/FileSystem.hpp
Reversed (or previously applied) patch detected!  Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file src/Lib/Util/FileSystem.hpp.rej
error: Bad exit status from /var/tmp/rpm-tmp.NenS0n (%prep)
Comment 4 Ville Skyttä 2014-03-18 07:56:43 EDT
Is your working dir a clean git master HEAD clone? Applies fine for me:

$ fedpkg clone -a netpanzer
$ cd netpanzer
$ wget "https://bugzilla.redhat.com/attachment.cgi?id=875826"
$ git am attachment.cgi\?id\=875826
$ fedpkg prep
# [...]
+ exit 0
Comment 5 Gwyn Ciesla 2014-03-18 08:07:42 EDT
It applies fine for me, other than the changelog.  It's that it won't build, that the patch won't apply stating that parts already have been applied.
Comment 6 Ville Skyttä 2014-03-18 08:18:36 EDT
If the patch doesn't apply, it should show up as an error already in "fedpkg prep". I have no explanation why it wouldn't work for you, it certainly does for me. I just re-ran the full workflow from initial checkout to a mock build on a F-19 box, success:

$ fedpkg clone -a netpanzer
$ cd netpanzer
$ wget "https://bugzilla.redhat.com/attachment.cgi?id=875826"
$ git am attachment.cgi\?id\=875826
$ fedpkg srpm
$ mock -r fedora-rawhide-x86_64 --rebuild *src.rpm
[...]
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-x86_64/result
Finish: run

Does it fail somewhere for you with these exact commands?
Comment 7 Gwyn Ciesla 2014-03-24 13:05:56 EDT
Hmm.  That worked.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.